from flask import Flask, request, jsonify
import logging
import logging_loki
import time

app = Flask(__name__)

saved_people = {}

@app.route('/mark_safe/<city>', methods=['GET'])
def save_people_from(city):
    return jsonify({"saved people from:" + city: saved_people[city]})

@app.route('/mark_safe', methods=['GET', 'POST'])
def save_people():
    if request.method == 'GET':
        try:
            # logger.error(
            #     "GET request received at /mark_safe", 
            #     extra={"tags": {"service": "get_people"}},
            # )
            pass
        except:
            print("Error logging")

        print("GET request received at /mark_safe")
        return jsonify({"saved people": saved_people})
    elif request.method == 'POST':
        res = request.json
        name = res['name']
        city= res['city']
        if (city in saved_people):
            saved_people[city].append(name)
        else:
            saved_people[city] = [name]
        return jsonify({"mark safe": 'name: ' + name + ' city: ' + city})

if __name__ == '__main__':
    time.sleep(10)

    print("Starting server...")
    handler = logging_loki.LokiHandler(
        url="https://loki:3100/loki/api/v1/push",
        version="1",)

    logger = logging.getLogger("server-logger")
    logger.setLevel(logging.DEBUG)
    logger.addHandler(handler)
    try:
        # logger.error(
        #     "Server started", 
        #     extra={"tags": {"service": "my-service"}},
        # )
        pass
    except:
        print("Error loggging")

    app.run(host='0.0.0.0', debug=True, port=6969)